Skip to main content
DELETE
/
conversations
/
{conversationId}
Delete Conversation
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/conversations/{conversationId} \
  --header 'apikey: <api-key>' \
  --header 'onBehalfOf: <onbehalfof>'
{
  "data": {
    "success": true,
    "message": "The conversation group_project-group has been deleted successfully for all the users."
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is deprecated and will be removed in a future API version.Use the type-specific endpoints instead:
Old EndpointNew Endpoint
DELETE /conversations/{conversationId}DELETE /users/{uid}/conversation or DELETE /groups/{guid}/conversation
Migration example:
# Old (deprecated):
curl -X DELETE "https://appid.api-us.cometchat.io/v3/conversations/user_cometchat-uid-1_user_cometchat-uid-2" \
  -H "apikey: YOUR_API_KEY"

# New (recommended) — for a user conversation:
curl -X DELETE "https://appid.api-us.cometchat.io/v3/users/cometchat-uid-2/conversation" \
  -H "apikey: YOUR_API_KEY" \
  -H "onBehalfOf: cometchat-uid-1"

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Headers

onBehalfOf
string
required

UID of the user on whose behalf the action is performed.

Path Parameters

conversationId
string
required

(Required) conversation id

Response

200 - application/json

Deleted Conversations

data
object